REM stop any conflicting service

net stop mysql

mkdir c:\mysql\bin
mkdir c:\mysql\share
mkdir c:\mysql\data\mysql
mkdir c:\mysql\data\test

mkdir c:\mysql\include
mkdir c:\mysql\lib\debug
mkdir c:\mysql\lib\opt

mkdir c:\mysql\Embedded\DLL\release
mkdir c:\mysql\Embedded\DLL\debug
mkdir c:\mysql\Embedded\static\release
mkdir c:\mysql\Embedded\static\debug

mkdir c:\mysql\scripts
mkdir c:\mysql\docs
mkdir c:\mysql\bench
mkdir c:\mysql\examples\libmysqltest

REM Copy binaries to c:\mysql
REM (We assume we are in build root when executing this script)

copy lib_debug\libmysql.*      c:\mysql\lib\debug
copy lib_debug\zlib.*          c:\mysql\lib\debug
copy lib_debug\mysqlclient.lib c:\mysql\lib\debug
copy lib_debug\mysys*.lib      c:\mysql\lib\debug
copy lib_debug\regex.lib       c:\mysql\lib\debug
copy lib_debug\strings.lib     c:\mysql\lib\debug

copy lib_release\mysqlclient.lib c:\mysql\lib\opt
copy lib_release\libmysql.*      c:\mysql\lib\opt
copy lib_release\zlib.*          c:\mysql\lib\opt
copy lib_release\mysys*.lib      c:\mysql\lib\opt
copy lib_release\regex.lib       c:\mysql\lib\opt
copy lib_release\strings.lib     c:\mysql\lib\opt


IF "%1"=="classic" goto CLASSIC
IF "%1"=="pro" goto PRO

REM ==========================================
REM GPL binaries

copy client_release\*.exe     c:\mysql\bin
copy client_debug\mysqld*.exe c:\mysql\bin

copy lib_release\libmysqld.*  c:\mysql\Embedded\DLL\release\
copy lib_debug\libmysqld.*    c:\mysql\Embedded\DLL\debug\

copy mysqlserver\release\mysqlserver.lib c:\mysql\Embedded\static\release
copy mysqlserver\debug\mysqlserver.lib   c:\mysql\Embedded\static\debug


goto REST

REM =========================================
:CLASSIC
REM Classic binaries

copy client_release\*.exe c:\mysql\bin
copy client_classic\*.exe c:\mysql\bin
copy client_debug\mysqld.exe c:\mysql\bin\mysqld-debug.exe
copy lib_classic\*.* c:\mysql\lib\opt

goto REST

REM =======================================
:PRO
REM Pro binaries

copy client_release\*.exe c:\mysql\bin
copy client_classic\*.exe c:\mysql\bin
copy client_pro\*.exe c:\mysql\bin
copy client_debug\mysqld.exe c:\mysql\bin\mysqld-debug.exe
copy lib_pro\*.* c:\mysql\lib\opt


REM ========================================
:REST

copy c:\mysql\lib\opt\libmysql.dll c:\mysql\bin\

REM
REM Copy include files
REM

copy include\conf*.h         c:\mysql\include
copy include\errmsg.h        c:\mysql\include
copy include\m_ctype.h       c:\mysql\include
copy include\m_string.h      c:\mysql\include
copy include\my_dbug.h       c:\mysql\include
copy include\my_global.h     c:\mysql\include\my_global.h
copy include\my_list.h       c:\mysql\include
copy include\my_pthread.h    c:\mysql\include
copy include\my_sys.h        c:\mysql\include
copy include\mysql*.h        c:\mysql\include
copy include\raid.h          c:\mysql\include

copy libmysql\libmysql.def   c:\mysql\include
copy libmysqld\libmysqld.def c:\mysql\include

REM on Unix, belows are installed.
copy include\keycache.h        c:\mysql\include
copy include\my_alloc.h        c:\mysql\include
copy include\my_config.h       c:\mysql\include
copy include\my_dir.h          c:\mysql\include
copy include\my_getopt.h       c:\mysql\include
copy include\my_net.h          c:\mysql\include
copy include\my_no_pthread.h   c:\mysql\include
copy include\my_semaphore.h    c:\mysql\include
copy include\my_sys.h          c:\mysql\include
copy include\my_xml.h          c:\mysql\include
copy include\sql_common.h      c:\mysql\include
copy include\sql_state.h       c:\mysql\include
copy include\sslopt-case.h     c:\mysql\include
copy include\sslopt-longopts.h c:\mysql\include
copy include\sslopt-vars.h     c:\mysql\include
copy include\typelib.h         c:\mysql\include


REM Copy test files

copy libmysqltest\*.* c:\mysql\examples\libmysqltest
copy libmysqltest\release\myTest.exe c:\mysql\examples\libmysqltest

REM Copy share, docs etc

xcopy share\*.* c:\mysql\share /E /Y
xcopy scripts\*.* c:\mysql\scripts /E /Y
xcopy docs\*.* c:\mysql\docs /E /Y
xcopy sql-bench\*.* c:\mysql\bench /E /Y
copy docs\readme c:\mysql\

REM Copy privilege tables (Delete old ones as they may be from a newer version)

del c:\mysql\data\mysql\*.* /Q
xcopy data\mysql\*.* c:\mysql\data\mysql /E /Y
